h1, h2, h3, h4 {
  text-wrap: balance;
}

p, blockquote, li {
  text-wrap: pretty;
}

.menu-item-has-children > a[href="#"] {
  cursor: default;
}

p {
  max-inline-size: 75ch;

  [text-align="center"] & {
    margin-inline: auto;
  }
}

.wp-block-cover h1 {
  font-size: 60px !important;
}

.site-title {
  text-transform: uppercase;
}

footer img {
  width: 100px;
  height:100px;
}

.ysk-block {
  --color: hsl(from var(--global-palette4) h s l / .2);
  box-shadow: var(--color) 0px 0px 14px 0px;
  border-radius: 10px;
  padding: 20px;

  &.green {
    background-color: var(--global-palette11);
  }
}

.ysk-row-sub-menu {
  display: flex;
  justify-content: space-around;
  margin-top: -2ch;
  padding: 0 0 20px 0;
 
  ul {
    display: flex;
    justify-content: space-around;
    list-style-type: none;
    gap: 2rem;
    li {
      font-weight: 700;
   a {
        color: var(--global-palette3) !important;
        text-decoration: none;
        &:hover {
          border-bottom: 1px solid black;
          padding-bottom: 5px;
        }
      }
    }
  }
}

@media (max-width: 1024px) {
  .ysk-row-sub-menu {
    justify-content: start;
    margin-top: 1ch;
    ul {
      flex-direction: column;
      padding-left: 0;
      gap: 0;
      li::before {
        content: "> ";
        color: currentColor;
        font-weight: bold;
        margin-right: 8px;
        display: inline-block;
      }
    }
  }
}

.ysk-list-multi-columns {
  column-count: 4;
  column-gap: 2rem;
  li {
    break-inside: avoid;
    a {
      color: currentColor;
    }
  }
}

@media (max-width: 1024px) {
 .ysk-list-multi-columns {
  column-count: 2;
 }
}

@media (max-width: 767px) {
 .ysk-list-multi-columns {
  column-count: 1;
 }
}

.wp-block-kadence-column, .wp-block-kadence-column > div {
  height: 100%;
}

.tribe-events-widget-events-list__view-more,
.tribe-events-widget-events-list__view-more-link
{
 display: none !important;
}

.arrow-top-right, .arrow-bottom-right {
 position: relative;
 margin-right: 10px;

 &::after {
  content: '';
  position: absolute;
  right: -30px;
  top: 0;
  bottom: 80%;
  transform: translateY(-50%) rotate(-25deg);
  width: 0;
  height: 0;
  border-left: 20px solid var(--global-palette6);
  border-top: 6px solid transparent;
  border-bottom: 6px solid transparent;
 }
}

.arrow-top-right::after{
 top: 100%;
 bottom: 0;
 transform: translateY(-50%) rotate(25deg);
}

.arrow-top-right.middle {
 margin-right: 0;

 &::after {
  right: -10px;
 }
}

.arrow-top-left, .arrow-bottom-left {
 position: relative;
 margin-left: 10px;

 &::before {
  content: '';
  position: absolute;
  left: -30px;
  top: 0;
  bottom: 80%;
  transform: translateY(-50%) rotate(25deg);
  width: 0;
  height: 0;
  border-right: 20px solid var(--global-palette6);
  border-top: 6px solid transparent;
  border-bottom: 6px solid transparent;
 }
}

.arrow-top-left::before {
 top: 100%;
 bottom: 0;
 transform: translateY(-50%) rotate(-25deg);
}
.arrow-top-left.middle {
 margin-left: 0;
 &::before {
  left: -10px;
 }
}

.price-tabs {
 .kt-tabs-wrap {
  .kt-tabs-title-list {
   li.kt-tab-title-active {
    .kt-tab-title {
     background-color: var(--global-palette4) !important;
     color: var(--global-palette9) !important;
     border-radius: 50px;
     border: 3px solid var(--global-palette4);
    }
   }

   li.kt-tab-title-inactive {
    .kt-tab-title {
     border: 3px solid var(--global-palette4);
     border-radius: 50px;
    }
   }
  }
 }

  /* Partially overriden for mobile */
 .price-tab-season {
  span.kb-button {
   color: var(--global-pallette11);
   border-color: var(--global-palette11);
   opacity: 0.5;
   pointer-events: none;
   cursor: not-allowed;
  }

  .price-title-row, .price-content-row {
   .kt-row-column-wrap {
    padding-top: 5px;
    padding-bottom: 5px;
    gap: 5px;

    & > div > div {
     padding: 10px 20px;
     text-align: center;

     p {
      margin-inline: auto;
     }
    }
   }
  }

  .price-content-row:not(.summer) .kt-row-column-wrap {
   & > div:nth-child(n+5):nth-child(-n+8) > div {
    text-align: start;
   }

   & > div:nth-child(n+1):nth-child(-n+4) > div {
    font-weight: bold;
   }
  }

  .price-content-row.regular .kt-row-column-wrap > div:nth-child(9) {
   grid-column: span 3;
  }

  .price-content-row.special .kt-row-column-wrap > div:nth-child(9) {
   grid-column: span 2;
  }

  .price-content-row.summer .kt-row-column-wrap {
   & > div:nth-child(n+4):nth-child(-n+6) > div {
    text-align: start;
   }

   & > div:nth-child(n+1):nth-child(-n+3) > div {
    font-weight: bold;
   }
  }

  .price-content-row.summer .kt-row-column-wrap > div:nth-child(7) {
   grid-column: span 3;
  }

  .price-title-row.regular .kt-row-column-wrap {
   padding-bottom: 0;
   grid-template-columns: 3fr 1fr;
  }

  .price-title-row.special .kt-row-column-wrap {
   grid-template-columns: 2fr 1fr 1fr;
  }

  .price-content-row.special .kt-row-column-wrap > div:nth-child(n+5):nth-child(-n+8) > div {
   font-weight: normal;
   text-align: start;
  }
 }
}

/* Partial overrides for mobile */
.price-tabs.mobile {
 .price-tab-season {
  .price-content-row:not(.summer) .kt-row-column-wrap {
   grid-template-columns: 10ch 3fr;

   & > div:nth-child(n+5):nth-child(-n+8) > div {
    text-align: center;
   } 

   & > div:nth-child(2n) > div {
    text-align: start !important;
   } 

   & > div:nth-child(n+1):nth-child(-n+4) > div {
    font-weight: normal;
   }

   & > div:nth-child(2n+1) > div {
    font-weight: bold;
   }

   & > div:last-child {
    grid-column: span 2;

    & > div {
     text-align: center;
     font-weight: normal;
    }
   }
  }

  .price-title-row.special .kt-row-column-wrap {
   grid-template-columns: 1fr;
  }
 }
}

.paragraph-with-leading-icon {
 padding-left: 28px;
 
 svg {
  float: left;
  margin-left: -28px;
  fill: var(--global-palette3);
  vertical-align: middle;
 }
}

.site-footer-row.site-footer-row-columns-3 {
 grid-template-columns: 1fr auto 1fr;
 
 .footer-html,
 .footer-social-wrap {
  margin: 0 !important;
 }
}

svg.kadence-svg-icon.kadence-menu-svg {
  fill: white;
}